librime: rime::DictEntryIterator Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | List of all members
rime::DictEntryIterator Class Reference

`#include <dictionary.h>`

Inheritance diagram for rime::DictEntryIterator:
[legend]
Collaboration diagram for rime::DictEntryIterator:
[legend]

## Public Member Functions
| DictEntryIterator ()
virtual | ~DictEntryIterator ()=default
| DictEntryIterator (const DictEntryIterator &other)=default
DictEntryIterator & | operator= (const DictEntryIterator &other)=default
| DictEntryIterator (DictEntryIterator &&other)=default
DictEntryIterator & | operator= (DictEntryIterator &&other)=default
void | AddChunk (dictionary::Chunk &&chunk)
void | Sort ()
void | AddFilter (DictEntryFilter filter) override
an< DictEntry > | Peek ()
bool | Next ()
bool | Skip (size_t num_entries)
bool | exhausted () const
size_t | entry_count () const
Public Member Functions inherited from rime::DictEntryFilterBinder
virtual | ~DictEntryFilterBinder ()=default

## Protected Member Functions
bool | FindNextEntry ()

## Additional Inherited Members
Protected Attributes inherited from rime::DictEntryFilterBinder
DictEntryFilter | filter_

## Constructor & Destructor Documentation

## ◆ DictEntryIterator() [1/3]

rime::DictEntryIterator::DictEntryIterator | ( |  | ) |

## ◆ ~DictEntryIterator()

virtual rime::DictEntryIterator::~DictEntryIterator | ( |  | ) |
| virtualdefault

## ◆ DictEntryIterator() [2/3]

rime::DictEntryIterator::DictEntryIterator | ( | const DictEntryIterator & | other | ) |
| default

## ◆ DictEntryIterator() [3/3]

rime::DictEntryIterator::DictEntryIterator | ( | DictEntryIterator && | other | ) |
| default

## Member Function Documentation

## ◆ AddChunk()

void rime::DictEntryIterator::AddChunk | ( | dictionary::Chunk && | chunk | ) |

## ◆ AddFilter()

void rime::DictEntryIterator::AddFilter | ( | DictEntryFilter | filter | ) |
| overridevirtual

Reimplemented from rime::DictEntryFilterBinder.

## ◆ entry_count()

size_t rime::DictEntryIterator::entry_count | ( |  | ) | const
| inline

## ◆ exhausted()

bool rime::DictEntryIterator::exhausted | ( |  | ) | const

## ◆ FindNextEntry()

bool rime::DictEntryIterator::FindNextEntry | ( |  | ) |
| protected

## ◆ Next()

bool rime::DictEntryIterator::Next | ( |  | ) |

## ◆ operator=() [1/2]

DictEntryIterator & rime::DictEntryIterator::operator= | ( | const DictEntryIterator & | other | ) |
| default

## ◆ operator=() [2/2]

DictEntryIterator & rime::DictEntryIterator::operator= | ( | DictEntryIterator && | other | ) |
| default

## ◆ Peek()

an< DictEntry > rime::DictEntryIterator::Peek | ( |  | ) |

## ◆ Skip()

bool rime::DictEntryIterator::Skip | ( | size_t | num_entries | ) |

## ◆ Sort()

void rime::DictEntryIterator::Sort | ( |  | ) |

The documentation for this class was generated from the following files:

- dictionary.h
- dictionary.cc